(* Dieter May <dm at mayart.de>, 2008
	Zeigt die Ausgabeaufloesung eines ausgewaehlten Bildes an.
	Indesign CS3, in CS4 findet man dies in der Linkpalette: Effektive ppi.
*)


property ProfileDefaultString : "Use Document Default" -- ist in deutschem Indesing u.U. anders

tell application "Adobe InDesign CS3"
	
	if (count documents) = 0 then
		
		display dialog "Es ist kein InDesign-Dokument geffnet!" buttons {"OK"} default button 1
		
		return
		
	end if
	
	set myDok to active document
	
	set myDokName to name of myDok
	
	set mySelection to selection
	
	
	if (count mySelection)  1 then
		
		display dialog "Bitte *einen* Bildrahmen auswhlen!" buttons {"OK"} default button 1
		
		return
		
	end if
	
	--	try
	
	set s to item 1 of mySelection
	
	if class of s is in {image, PDF, EPS} then
		
		set myImg to s
		
	else if content type of s is graphic type then
		
		set myImg to item 1 of all graphics of s
		
	else
		
		display dialog "Bitte einen Bildrahmen auswhlen!" buttons {"OK"} default button 1
		
		return
		
	end if
	
	--	on error
	--		
	--		display dialog "Bitte *einen* Bildrahmen auswhlen!" buttons {"OK"} default button 1
	--		
	--		return
	--		
	--	end try
	
	set myItemLink to item link of myImg
	
	if status of myItemLink = link missing then
		
		display dialog "Bild nicht gefunden, bitte neu laden" buttons {"Cancel"} default button 1
		
		return
		
	else if status of myItemLink = link out of date then
		
		display dialog "Bild nicht aktuell, bitte neu laden" buttons {"Cancel", "Link updaten"} default button 1
		
		if button returned of the result is "Link updaten" then
			
			set myItemLink to (update myItemLink)
			
		end if
	end if
	
	set myImageProps to properties of myImg
	
	--set {myImgName, myImgLabel, myImgPath} to {name, label, file path} of myItemLink
	
	set {x, y} to effective ppi of myImageProps
	
	display dialog "Output-Resolution: " & (x as text) & " x " & (y as text) & " ppi"
	
	
end tell
